[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TNamedIniCollection.FindByName

Return the item based on its name

## Declaration

Source position: inicol.pp line 71

`public function TNamedIniCollection.FindByName(`
`const AName: string`
`):TNamedIniCollectionItem;`

## Arguments

`AName` |  | Name to look for

## Function result

Named item, or Nil if none was found

## Description

FindByName returns the collection item whose name matches AName (case insensitive match). It calls IndexOfName and returns the item at the found position. If no item is found, Nil is returned.

## Errors

If no item is found, Nil is returned.

## See also

IndexOfName |  | Search for an item, based on its name, and return its position
FindByUserData |  | Return the item based on its UserData

Documentation generated on: Feb 26 2014